## gcc-8 8.3.0.3

=== debian/changelog ===
gcc-8 (8.3.0.3-3+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 6b71c167a1405fa24e6b9bc1b6907a3633043e35']

 -- shuttle <shuttle@deepin.com>  Thu, 14 May 2020 13:31:40 +0000
